	.file	"dos.c"
gcc2_compiled.:
.text
LC0:
	.ascii "/lib/libemu.2d\0"
LC1:
	.ascii "cannot load shared lib\12\0"
	.align 2
.globl _main
_main:
	pushl %ebp
	movl %esp,%ebp
	pushl %ebx
	call ___main
	pushl $LC0
	call _uselib
	addl $4,%esp
	movl %eax,%eax
	testl %eax,%eax
	je L2
	pushl $LC1
	call _printf
	addl $4,%esp
	pushl $1
	call _exit
	addl $4,%esp
	.align 2,0x90
L2:
	movb _dummy,%dl
	movb %dl,_dummy+1
	movb _dummy+1048576,%dl
	movb %dl,_dummy+1
	movl $4194304,_dosemu
	pushl 12(%ebp)
	pushl 8(%ebp)
	movl _dosemu,%ebx
	call *%ebx
	addl $8,%esp
L1:
	movl -4(%ebp),%ebx
	leave
	ret
.comm _dosemu,4
.comm _dummy,1114112
